geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ivan <xhh...@gmail.com>
Subject Re: failed to compile jasper-deployer.
Date Wed, 18 Nov 2009 11:08:25 GMT
>From the error message, it is caused by org.apache.felix.prefs bundle is not
started successfully, adding a -X option may help to check what happened
while starting the dependent bundle.

2009/11/18 Forrest Xia <forrestxm@gmail.com>

> Hi,
>
> When I try to build trunk, I encounter a problem when coming to
> plugins/jasper/jasper-deployer like this:
>
> [org.apache.geronimo.system.configuration.DependencyManager] : Could not
> start bundle: org.apache.geronimo.modules.geronimo-jasper [86]
> org.osgi.framework.BundleException: Unresolved constraint in bundle
> org.apache.servicemix.bundles.jdt-core [94]: package;
> (package=org.osgi.service.prefs)
>     at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3263)
>     at org.apache.felix.framework.Felix.startBundle(Felix.java:1597)
>     at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:915)
>
> Then I checked the started bundles stack and found no preference service
> bundle installed, which is required by jdt-core.
>
> I add some dependency like this to the pom.xml, but it's not work.
>
> <dependency>
>                 <groupId>org.apache.felix</groupId>
>                 <artifactId>org.osgi.compendium</artifactId>
>                 <version>1.2.0</version>
>                 <exclusions>
>                     <exclusion>
>                         <groupId>org.apache.felix</groupId>
>                         <artifactId>org.osgi.foundation</artifactId>
>                     </exclusion>
>                     <exclusion>
>                         <groupId>org.apache.felix</groupId>
>                         <artifactId>javax.servlet</artifactId>
>                     </exclusion>
>                 </exclusions>
>             </dependency>
>
>     <dependency>
>                 <groupId>org.apache.felix</groupId>
>                 <artifactId>org.apache.felix.prefs</artifactId>
>                 <version>1.0.2</version>
>
>             </dependency>
>
> So anyone can give me a hint about this problem? thanks a lot!
>
> Forrest
>



-- 
Ivan

Mime
View raw message